<?xml version='1.0' encoding='UTF-8'?><profile><name>VB</name><language>vbnet</language><rules><rule><repositoryKey>vbnet</repositoryKey><key>S101</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1048</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1066</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S107</key><priority>MAJOR</priority><parameters><parameter><key>max</key><value>7</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1075</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S108</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1110</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S112</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1125</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1134</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1135</key><priority>INFO</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S114</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^I([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S117</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^[a-z][a-z0-9]*([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1172</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1186</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1197</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1313</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1479</key><priority>MAJOR</priority><parameters><parameter><key>maximum</key><value>30</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1481</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1542</key><priority>MAJOR</priority><parameters><parameter><key>format</key><value>^([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1643</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1645</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1654</key><priority>MAJOR</priority><parameters><parameter><key>format</key><value>^[a-z][a-z0-9]*([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1656</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1751</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1764</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1862</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1871</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S1940</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2068</key><priority>BLOCKER</priority><parameters><parameter><key>credentialWords</key><value>password, passwd, pwd</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2077</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2178</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2234</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2255</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2304</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?(\.([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?)*$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2340</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2342</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter><parameter><key>flagsAttributeFormat</key><value>^([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?s$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2344</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2345</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2346</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2347</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^(([a-z][a-z0-9]*)?([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?_)?([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2349</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2352</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2355</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2358</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2359</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2365</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2368</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2372</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2375</key><priority>MINOR</priority><parameters><parameter><key>minimumSeriesLength</key><value>6</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2376</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2551</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2737</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2757</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2761</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S2951</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3011</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3358</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3385</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3449</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3453</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3464</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3466</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3598</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3603</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3693</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3776</key><priority>CRITICAL</priority><parameters><parameter><key>threshold</key><value>15</value></parameter><parameter><key>propertyThreshold</key><value>3</value></parameter></parameters></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3869</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3889</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3903</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3923</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3926</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3927</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S3981</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4143</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4144</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4159</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4210</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4260</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4275</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4277</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4428</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4507</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4586</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4784</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4787</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4790</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4792</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4818</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4823</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4829</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S4834</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>vbnet</repositoryKey><key>S5042</key><priority>CRITICAL</priority><parameters/></rule></rules></profile>